PDA

View Full Version : SLES for SAP 12 SP2 Python-devel package not found!



eee_sarah
27-Jun-2018, 10:36
I am working on HANA virtual machine which has SUSE Enterprise Server 12 SP2 distribution. I am trying to install python packages on it. Since there is no online repo for SLE12_SP2, I found SLE12_SP2 SDKs from https://download.suse.com/index.jsp and added the two images as local repositories. However, upon installing ```zypper install python-devel``` I get ```Package python-devel not found```! I have also tried using online repo SLE12_SP3 from https://download.opensuse.org/repositories/devel:/languages:/python/SLE_12_SP3/devel:languages:python.repo , but still python-devel package cannot be found!!!

smflood
27-Jun-2018, 12:04
On 27/06/18 10:44, eee sarah wrote:

> I am working on HANA virtual machine which has SUSE Enterprise Server 12
> SP2 distribution. I am trying to install python packages on it. Since
> there is no online repo for SLE12_SP2, I found SLE12_SP2 SDKs from
> https://download.suse.com/index.jsp and added the two images as local
> repositories. However, upon installing ```zypper install python-devel```
> I get ```Package python-devel not found```! I have also tried using
> online repo SLE12_SP3 from
> https://download.opensuse.org/repositories/devel:/languages:/python/SLE_12_SP3/devel:languages:python.repo
> , but still python-devel package cannot be found!!!

I presume (hope) that by "no online repo for SLE12_SP2" you specifically
meant for the SDK? If you have registered your server you should be able
to add the online repo for the SDK either through YaST or via the
command "SUSEConnect -p sle-sdk/12.2/x86_64".

Checking my local copy of the ISO of the SDK for SLE12 SP2 I see that
there are two Python devel packages available depending on whether you
mean Python 2.x or 3.x:

/suse/x86_64/python-devel-2.7.9-24.2.x86_64.rpm
/suse/x86_64/python3-devel-3.4.1-12.1.x86_64.rpm

Each have since been updated so you should see newer versions available
via the online repo.

The URL you post is NOT for the SDK for SLE12_SP3 (plus is for SLE12 SP3
when you said your server is SP2) so you should remove repo that unless
you want to install unsupported Python packages on your server which
should not be required for SAP HANA.

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------

eee_sarah
27-Jun-2018, 12:48
Thanks for your response. I have downloaded the SDKs from https://download.suse.com/protected/Summary.jsp?buildid=qb71v1YjQjI~ and they do not seem to have python-devel in /suse/x86_64! Is there any other resource I can download the complete version SDK?

malcolmlewis
27-Jun-2018, 13:20
Thanks for your response. I have downloaded the SDKs from https://download.suse.com/protected/Summary.jsp?buildid=qb71v1YjQjI~ and they do not seem to have python-devel in /suse/x86_64! Is there any other resource I can download the complete version SDK?
Hi
That's a link to the install medium not the SDK...

This is the one you need SUSE Linux Enterprise Software Development Kit 12 SP2, just DVD1, DVD2 is the src rpms;
https://download.suse.com/Download?buildid=g3e7P21X6Lw~

smflood
27-Jun-2018, 13:46
On 27/06/18 12:54, eee sarah wrote:

> Thanks for your response. I have downloaded the SDKs from
> https://download.suse.com/protected/Summary.jsp?buildid=qb71v1YjQjI~ and
> they do not seem to have python-devel in /suse/x86_64! Is there any
> other resource I can download the complete version SDK?

That's the media for the SLES12 SP2 product not the SDK - for the SDK
for SLE12 SP2 use https://download.suse.com/Download?buildid=g3e7P21X6Lw~

Alternatively register your server to get access to the online repos for
the SDK which will include updated packages.

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------

shailensobhee
25-Oct-2018, 15:05
I actually need python-pip. Where can I get this package for SLES 12 SP3?

As local repositories I have the following:
DVD1 - SLE-12-SP3-SAP-DVD-x86_64-GM-DVD1.iso
DVD2 - SLE-12-SP3-SAP-DVD-x86_64-GM-DVD2.iso
SDK-DVD1 - SLE-12-SP3-SDK-DVD-x86_64-GM-DVD1.iso
SDK-DVD2 - SLE-12-SP3-SDK-DVD-x86_64-GM-DVD2.iso

I am really not sure why python-pip is not present in any of these DVD images.

These 4 ISO files together form 17GB of data and I need to install the readline python module.

malcolmlewis
25-Oct-2018, 15:41
I actually need python-pip. Where can I get this package for SLES 12 SP3?

As local repositories I have the following:
DVD1 - SLE-12-SP3-SAP-DVD-x86_64-GM-DVD1.iso
DVD2 - SLE-12-SP3-SAP-DVD-x86_64-GM-DVD2.iso
SDK-DVD1 - SLE-12-SP3-SDK-DVD-x86_64-GM-DVD1.iso
SDK-DVD2 - SLE-12-SP3-SDK-DVD-x86_64-GM-DVD2.iso

I am really not sure why python-pip is not present in any of these DVD images.

These 4 ISO files together form 17GB of data and I need to install the readline python module.

Hi
The DVD2 iso images are just the src rpm's you only need DVD1. Is there a python readline module? Or just libreadline6 (should be on the standard SAP DVD).

jmozdzen
25-Oct-2018, 16:39
Hi shailensobhee,

have you had a look at the SUSE Linux Enterprise Module for Public Cloud 12? I've seen references to a patch for python-pip, which went (among others) to that channel.

Regards,
J